
QGIS Application - Feature request #6247

External HTML img maptips

2012-08-24 08:52 AM - Rocco Pispico

Status: Open

Priority: Low

Assignee: Nathan Woodrow

Category: Unknown

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 15554

Description

I try to set <img src="www.repubblica.it" />

History

#1 - 2012-08-24 08:57 AM - Giovanni Manghi

- Status changed from Open to Feedback

Hi, can you please add a more meaningful title and description?

Thanks in advance.

#2 - 2012-08-24 09:00 AM - Rocco Pispico

I tried to set <img src="[% "gtemp" %]" /> in HTML display for the map tips tool visualization.

It works if the field gtemp contains a disk path but if gtemp contains an url nothing happens.

#3 - 2012-08-24 02:23 PM - Giovanni Manghi

- OS version deleted (7)

- Status changed from Feedback to Open

- Assignee set to Nathan Woodrow

- Operating System deleted (Windows)

#4 - 2012-08-30 03:36 PM - Nathan Woodrow

- Resolution set to wontfix

- Status changed from Open to Closed

It seems Qt doesn't render URL based img tags in it's rich text HTML engine.  This is limitation on the rendering of the subset of HTML Qt supports.   The

better solution would be to use QtWebKit so we could have full HTML and Javascript support, but for now I don't have the time to work on it.

#5 - 2012-08-31 09:55 AM - Paolo Cavallini

- Resolution deleted (wontfix)

- Status changed from Closed to Open

- Priority changed from Normal to Low

If there is a longer term, better solution, let's leave it open so we'll not forget it.
#6 - 2012-10-06 02:35 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#7 - 2013-05-25 07:04 PM - Nathan Woodrow

- Subject changed from HTML display to External HTML img maptips

#8 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#9 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown
